Skip to main content
PATCH
/
api
/
workforces
/
{workforce_id}
Update Workforce
curl --request PATCH \
  --url https://api.example.com/api/workforces/{workforce_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "manager_agent_id": 123,
  "manager_instructions": "<string>",
  "canvas_layout": {}
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workforce_id
integer
required

Body

application/json
name
string | null
Required string length: 1 - 200
description
string | null
manager_agent_id
integer | null
manager_instructions
string | null
canvas_layout
Canvas Layout · object

Response

Successful Response

The response is of type Response Update Workforce Api Workforces Workforce Id Patch · object.